Skip to content

Get List Of Addresses Information (v2)

This is the V2 address list endpoint. V2 returns a streamlined response containing address-level metadata only. To query asset balances for a specific address, use Get Address Information (v2). We recommend using V2 for all new integrations.

Endpoint

GET https://api.mycactus.dev/custody/v2/api/projects/{b_id}/wallets/{wallet_code}/addresses
GET https://api.mycactus.com/custody/v2/api/projects/{b_id}/wallets/{wallet_code}/addresses

Request

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID
wallet_code
Required
StringWallet ID

Query Parameters

FieldTypeDescription
offset
Optional
IntegerPagination offset. Must be 0 or greater. Default: 0
limit
Optional
IntegerNumber of results per page. Maximum: 1000. Default: 10

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectBelow shows the list of items inside the data object

data (object)

FieldTypeDescription
offsetIntegerPagination offset
limitIntegerPagination limit
totalIntegerTotal number of addresses
listArrayList of addresses (see list array details below)

list (array of objects)

Each item in list:

FieldTypeDescription
addressStringCactus On-chain address
address_typeStringAddress type values: NORMAL_ADDRESS, CONSOLIDATED_ADDRESS
descriptionStringAddress description

Response Example

{
    "code": 0,
    "message": "",
    "successful": true,
    "data": {
        "offset": 0,
        "limit": 2,
        "list": [
            {
                "address": "TAKmMvdnBDuSYCH6iqWmqDSfMcdvk6bRdR",
                "address_type": "NORMAL_ADDRESS",
                "description": ""
            },
            {
                "address": "TCEnQ7PBdU3nHQRAWzYh3HkxumUEXVfAbM",
                "address_type": "NORMAL_ADDRESS",
                "description": ""
            }
        ],
        "total": 13,
        "metadata": null
    }
}